Index: doc/singular.idx
===================================================================
--- doc/singular.idx	(revision a719149f9dbe9f99164ada14b6234f2f7b085283)
+++ doc/singular.idx	(revision a070b84d59be835a2946d1386edd3221d80f3fe7)
@@ -674,103 +720,107 @@
 Singular, important commands of Emacs interface	Top 20 Emacs commands	sing_27.htm#SEC38	
 Singular, running within Emacs	Running SINGULAR under Emacs	sing_23.htm#SEC30	
-Singular2bertini		sing_1389.htm#SEC1465	
-SingularLib		sing_406.htm#IDX247	
-Singularities		sing_1498.htm#SEC1574	
-Singularity Theory		sing_869.htm#SEC921	
-Skeletons for parallelization		sing_980.htm#IDX424	
-Smith form		sing_1874.htm#IDX722	
-Smith normal form		sing_1874.htm#IDX723	
-SolowayStrassen		sing_1930.htm#SEC2006	
-Solving systems of polynomial equations	Solving systems of polynomial equations	sing_886.htm#SEC938	
+Singular2bertini		sing_1392.htm#SEC1468	
+SingularLib		sing_406.htm#IDX253	
+Singularities		sing_1501.htm#SEC1577	
+Singularity Theory		sing_871.htm#SEC923	
+Skeletons for parallelization		sing_982.htm#IDX430	
+Smith form		sing_1877.htm#IDX729	
+Smith normal form		sing_1877.htm#IDX730	
+SolowayStrassen		sing_1933.htm#SEC2009	
+Solving systems of polynomial equations	Solving systems of polynomial equations	sing_888.htm#SEC940	
 Source code debugger, invocation	Command line options	sing_19.htm#IDX33	
-Space curve singularities, branches of	Branches of space curve singularities	sing_876.htm#SEC928	
+Space curve singularities, branches of	Branches of space curve singularities	sing_878.htm#SEC930	
 Special characters		sing_36.htm#SEC64	
-Splitting lemma		sing_2405.htm#IDX893	
-Sres		sing_1057.htm#SEC1133	
+Splitting lemma		sing_2410.htm#IDX900	
+Sres		sing_1060.htm#SEC1136	
 Ssi file links		sing_114.htm#SEC154	
 Ssi links		sing_113.htm#SEC153	
 Ssi tcp links		sing_115.htm#SEC155	
-Ssyz		sing_1058.htm#SEC1134	
-StabEqn		sing_1624.htm#SEC1700	
-StabEqnId		sing_1625.htm#SEC1701	
-StabOrder		sing_1626.htm#SEC1702	
-Standard Bases	Computing Groebner and Standard Bases	sing_852.htm#SEC904	
-Standard bases		sing_900.htm#SEC952	
-StartOrderingV		sing_1493.htm#SEC1569	
+Ssyz		sing_1061.htm#SEC1137	
+StabEqn		sing_1627.htm#SEC1703	
+StabEqnId		sing_1628.htm#SEC1704	
+StabOrder		sing_1629.htm#SEC1705	
+Standard Bases	Computing Groebner and Standard Bases	sing_854.htm#SEC906	
+Standard bases		sing_902.htm#SEC954	
+StartOrderingV		sing_1496.htm#SEC1572	
 Startup sequence		sing_20.htm#SEC27	
-StringF		sing_1613.htm#SEC1689	
-SymGroup		sing_790.htm#SEC842	
-Symbolic-numerical solving	Symbolic-numerical solving	sing_886.htm#SEC938	
-Symbolic-numerical solving 		sing_1731.htm#SEC1807	
-System and Control theory	System and Control theory	sing_1856.htm#SEC1932	
+StringF		sing_1616.htm#SEC1692	
+SymGroup		sing_792.htm#SEC844	
+Symbolic-numerical solving	Symbolic-numerical solving	sing_888.htm#SEC940	
+Symbolic-numerical solving 		sing_1734.htm#SEC1810	
+System and Control theory	System and Control theory	sing_1859.htm#SEC1935	
 System dependent limitations	System dependent limitations	sing_456.htm#SEC496	
 System variables		sing_442.htm#SEC482	
-Syzygies and resolutions	Syzygies and resolutions	sing_902.htm#SEC956	
-Syzygies and resolutions (plural)	Syzygies and resolutions (plural)	sing_536.htm#SEC583	
-T1		sing_873.htm#SEC925	
-T2		sing_873.htm#SEC925	
+Syzygies and resolutions	Syzygies and resolutions	sing_904.htm#SEC958	
+Syzygies and resolutions (plural)	Syzygies and resolutions (plural)	sing_537.htm#SEC584	
+T1		sing_875.htm#SEC927	
+T2		sing_875.htm#SEC927	
 TRACE	Tracing of procedures	sing_65.htm#SEC102	
 TRACE 		sing_451.htm#SEC491	
-T_1		sing_1646.htm#SEC1722	
-T_12		sing_1648.htm#SEC1724	
-T_2		sing_1647.htm#SEC1723	
-Teaching		sing_1888.htm#SEC1964	
+T_1		sing_1649.htm#SEC1725	
+T_12		sing_1651.htm#SEC1727	
+T_2		sing_1650.htm#SEC1726	
+Teaching		sing_1891.htm#SEC1967	
 Template for writing a library		sing_55.htm#SEC92	
-TestGRRes		sing_2315.htm#SEC2391	
-TestJMark		sing_1494.htm#SEC1570	
+TestGRRes		sing_2318.htm#SEC2394	
+TestJMark		sing_1497.htm#SEC1573	
 The SINGULAR language	The SINGULAR language	sing_34.htm#SEC56	
-The Tran algorithm		sing_1187.htm#IDX478	
-The fractal walk algorithm		sing_1186.htm#IDX477	
-The fractal walk algorithm 		sing_2399.htm#IDX890	
+The Tran algorithm		sing_1190.htm#IDX485	
+The fractal walk algorithm		sing_1189.htm#IDX484	
+The fractal walk algorithm 		sing_2404.htm#IDX897	
 The online help system	The online help system	sing_16.htm#SEC22	
-Tjurina		sing_1644.htm#SEC1720	
-Tjurina number	Milnor and Tjurina number	sing_870.htm#SEC922	
-Tjurina number 		sing_1281.htm#IDX505	
+Tjurina		sing_1647.htm#SEC1723	
+Tjurina number	Milnor and Tjurina number	sing_872.htm#SEC924	
+Tjurina number 		sing_1284.htm#IDX512	
 Top 20 Emacs commands	Top 20 Emacs commands	sing_27.htm#SEC38	
-Tor		sing_1212.htm#SEC1288	
-Toric ideals and integer programming	Toric ideals and integer programming	sing_905.htm#SEC962	
+Tor		sing_1215.htm#SEC1291	
+Toric ideals and integer programming	Toric ideals and integer programming	sing_907.htm#SEC964	
 Tricks and pitfalls		sing_454.htm#SEC494	
-Tropical Geometry		sing_2040.htm#SEC2116	
+Tropical Geometry		sing_2043.htm#SEC2119	
 Type casting	Type conversion and casting	sing_39.htm#SEC69	
 Type conversion	Type conversion and casting	sing_39.htm#SEC68	
 Typesetting of help and info strings	Typesetting of help and info strings	sing_61.htm#SEC98	
-U_D_O		sing_1127.htm#SEC1203	
-Unix installation	Unix installation instructions	sing_2473.htm#SEC2562	
-UpOneMatrix		sing_779.htm#SEC831	
-UpperMonomials		sing_1627.htm#SEC1703	
-UseBertini		sing_1388.htm#SEC1464	
+U_D_O		sing_1130.htm#SEC1206	
+Unix installation	Unix installation instructions	sing_2478.htm#SEC2567	
+UpOneMatrix		sing_781.htm#SEC833	
+UpperMonomials		sing_1630.htm#SEC1706	
+UseBertini		sing_1391.htm#SEC1467	
 User defined types		sing_177.htm#SEC217	
-V-filtration		sing_1562.htm#IDX588	
-V-filtration 		sing_1568.htm#IDX616	
-V-filtration  		sing_1569.htm#IDX622	
-V-filtration   		sing_1570.htm#IDX630	
-V-filtration    		sing_1571.htm#IDX636	
-V-filtration     		sing_1572.htm#IDX644	
-V-filtration      		sing_1573.htm#IDX654	
-V-filtration       		sing_1584.htm#IDX660	
-V-filtration        		sing_1586.htm#IDX671	
-VarToPar		sing_2279.htm#SEC2355	
+V-filtration		sing_1565.htm#IDX595	
+V-filtration 		sing_1571.htm#IDX623	
+V-filtration  		sing_1572.htm#IDX629	
+V-filtration   		sing_1573.htm#IDX637	
+V-filtration    		sing_1574.htm#IDX643	
+V-filtration     		sing_1575.htm#IDX651	
+V-filtration      		sing_1576.htm#IDX661	
+V-filtration       		sing_1587.htm#IDX667	
+V-filtration        		sing_1589.htm#IDX678	
+VarToPar		sing_2282.htm#SEC2358	
 Variables, indexed		sing_37.htm#SEC65	
-Version number	Version schema for Singular	sing_2467.htm#SEC2549	
-Version schema for Singular	Version schema for Singular	sing_2467.htm#SEC2549	
+Version number	Version schema for Singular	sing_2472.htm#SEC2554	
+Version schema for Singular	Version schema for Singular	sing_2472.htm#SEC2554	
 Version string		sing_50.htm#SEC87	
-Visualization		sing_1794.htm#SEC1870	
-WP, global ordering		sing_893.htm#IDX388	
-WSemigroup		sing_1544.htm#SEC1620	
-Weierstrass		sing_1827.htm#SEC1903	
-Weierstrass semigroup		sing_1823.htm#IDX706	
-Weyl		sing_764.htm#SEC816	
-Weyl algebra		sing_588.htm#IDX320	
-Weyl algebra 		sing_644.htm#IDX345	
-Weyl closure		sing_815.htm#IDX373	
-WeylClosure		sing_817.htm#SEC869	
-WeylClosure1		sing_818.htm#SEC870	
-Windows installation	Windows installation instructions	sing_2474.htm#SEC2563	
-WitSet		sing_1395.htm#SEC1471	
-WitSupSet		sing_1394.htm#SEC1470	
-Ws, local ordering		sing_894.htm#IDX400	
-XLsolve		sing_1737.htm#SEC1813	
-ZZsolve		sing_1738.htm#SEC1814	
+Visualization		sing_1797.htm#SEC1873	
+WP, global ordering		sing_895.htm#IDX394	
+WSemigroup		sing_1547.htm#SEC1623	
+Weierstrass		sing_1830.htm#SEC1906	
+Weierstrass semigroup		sing_1826.htm#IDX713	
+Weyl		sing_766.htm#SEC818	
+Weyl algebra		sing_589.htm#IDX326	
+Weyl algebra 		sing_645.htm#IDX351	
+Weyl closure		sing_817.htm#IDX379	
+WeylClosure		sing_819.htm#SEC871	
+WeylClosure1		sing_820.htm#SEC872	
+Windows installation	Windows installation instructions	sing_2479.htm#SEC2568	
+WitSet		sing_1398.htm#SEC1474	
+WitSupSet		sing_1397.htm#SEC1473	
+Ws, local ordering		sing_896.htm#IDX406	
+XLsolve		sing_1740.htm#SEC1816	
+ZZsolve		sing_1741.htm#SEC1817	
 [		sing_36.htm#IDX83	
+[]		sing_137.htm#SEC177	
+[] 		sing_150.htm#SEC190	
+[]  		sing_170.htm#SEC210	
+[]   		sing_175.htm#SEC215	
 \		sing_36.htm#IDX112	
 ]		sing_36.htm#IDX84	
@@ -778,170 +828,172 @@
 ^ 		sing_76.htm#SEC116	
 ^  		sing_88.htm#SEC128	
+^   		sing_142.htm#SEC182	
+^    		sing_150.htm#SEC190	
 _		sing_36.htm#IDX116	
 `		sing_36.htm#IDX105	
-a, ordering		sing_898.htm#SEC950	
-absFactorize		sing_1140.htm#SEC1216	
-absFactorizeBCG		sing_1141.htm#SEC1217	
-absPrimdecGTZ		sing_1338.htm#SEC1414	
-absPrimdecGTZE		sing_1339.htm#SEC1415	
-absValue		sing_937.htm#SEC1013	
-absfact.lib		sing_1139.htm#SEC1215	
-absfact_lib		sing_1139.htm#SEC1215	
-absolute factorization.		sing_1139.htm#IDX451	
-abstractR		sing_1477.htm#SEC1553	
-actionIsProper		sing_1707.htm#SEC1783	
-addNvarsTo		sing_1054.htm#SEC1130	
-addRat		sing_836.htm#SEC888	
-addcol		sing_1096.htm#SEC1172	
-addcores		sing_1023.htm#SEC1099	
-addrow		sing_1097.htm#SEC1173	
-addvarsTo		sing_1053.htm#SEC1129	
-ademRelations		sing_697.htm#SEC749	
-adjoint		sing_1121.htm#SEC1197	
-adjointIdeal		sing_1406.htm#SEC1482	
-adjunction divisor		sing_1824.htm#IDX710	
-admissibleSub		sing_755.htm#SEC807	
-afaces		sing_2291.htm#SEC2367	
-affine code	Fitzgerald-Lax method	sing_921.htm#SEC990	
-ainvar.lib		sing_1704.htm#SEC1780	
-ainvar_lib		sing_1704.htm#SEC1780	
-aksaka.lib		sing_1889.htm#SEC1965	
-aksaka_lib		sing_1889.htm#SEC1965	
-alexanderpolynomial		sing_1502.htm#SEC1578	
-alexpoly.lib		sing_1499.htm#SEC1575	
-alexpoly_lib		sing_1499.htm#SEC1575	
-algDependent		sing_1146.htm#SEC1222	
-alg_kernel		sing_1147.htm#SEC1223	
-algebra.lib		sing_1142.htm#SEC1218	
-algebra_containment		sing_1143.htm#SEC1219	
-algebra_lib		sing_1142.htm#SEC1218	
-algebraic dependence		sing_785.htm#IDX351	
-algebraic field extension		sing_1352.htm#IDX510	
-algebraicDependence		sing_1365.htm#SEC1441	
-algorithm of Bigatti, La Scala and Robbiano	Bigatti and La Scala and Robbiano	sing_912.htm#SEC969	
-algorithm of Conti and Traverso		sing_908.htm#SEC965	
-algorithm of Di Biase and Urbanke	Di Biase and Urbanke	sing_911.htm#SEC968	
-algorithm of Hosten and Sturmfels	Hosten and Sturmfels	sing_910.htm#SEC967	
-algorithm of Pottier		sing_909.htm#SEC966	
+a, ordering		sing_900.htm#SEC952	
+absFactorize		sing_1143.htm#SEC1219	
+absFactorizeBCG		sing_1144.htm#SEC1220	
+absPrimdecGTZ		sing_1341.htm#SEC1417	
+absPrimdecGTZE		sing_1342.htm#SEC1418	
+absValue		sing_939.htm#SEC1015	
+absfact.lib		sing_1142.htm#SEC1218	
+absfact_lib		sing_1142.htm#SEC1218	
+absolute factorization.		sing_1142.htm#IDX458	
+abstractR		sing_1480.htm#SEC1556	
+actionIsProper		sing_1710.htm#SEC1786	
+addNvarsTo		sing_1057.htm#SEC1133	
+addRat		sing_838.htm#SEC890	
+addcol		sing_1099.htm#SEC1175	
+addcores		sing_1025.htm#SEC1101	
+addrow		sing_1100.htm#SEC1176	
+addvarsTo		sing_1056.htm#SEC1132	
+ademRelations		sing_698.htm#SEC750	
+adjoint		sing_1124.htm#SEC1200	
+adjointIdeal		sing_1409.htm#SEC1485	
+adjunction divisor		sing_1827.htm#IDX717	
+admissibleSub		sing_757.htm#SEC809	
+afaces		sing_2294.htm#SEC2370	
+affine code	Fitzgerald-Lax method	sing_923.htm#SEC992	
+ainvar.lib		sing_1707.htm#SEC1783	
+ainvar_lib		sing_1707.htm#SEC1783	
+aksaka.lib		sing_1892.htm#SEC1968	
+aksaka_lib		sing_1892.htm#SEC1968	
+alexanderpolynomial		sing_1505.htm#SEC1581	
+alexpoly.lib		sing_1502.htm#SEC1578	
+alexpoly_lib		sing_1502.htm#SEC1578	
+algDependent		sing_1149.htm#SEC1225	
+alg_kernel		sing_1150.htm#SEC1226	
+algebra.lib		sing_1145.htm#SEC1221	
+algebra_containment		sing_1146.htm#SEC1222	
+algebra_lib		sing_1145.htm#SEC1221	
+algebraic dependence		sing_787.htm#IDX357	
+algebraic field extension		sing_1355.htm#IDX517	
+algebraicDependence		sing_1368.htm#SEC1444	
+algorithm of Bigatti, La Scala and Robbiano	Bigatti and La Scala and Robbiano	sing_914.htm#SEC971	
+algorithm of Conti and Traverso		sing_910.htm#SEC967	
+algorithm of Di Biase and Urbanke	Di Biase and Urbanke	sing_913.htm#SEC970	
+algorithm of Hosten and Sturmfels	Hosten and Sturmfels	sing_912.htm#SEC969	
+algorithm of Pottier		sing_911.htm#SEC968	
 align		sing_260.htm#SEC300	
-all.lib		sing_930.htm#SEC1006	
-allDoubleExt		sing_802.htm#SEC854	
-allExtOfLeft		sing_799.htm#SEC851	
-allExtOfRight		sing_800.htm#SEC852	
-allPositive		sing_564.htm#SEC616	
-all_lib		sing_930.htm#SEC1006	
+all.lib		sing_932.htm#SEC1008	
+allDoubleExt		sing_804.htm#SEC856	
+allExtOfLeft		sing_801.htm#SEC853	
+allExtOfRight		sing_802.htm#SEC854	
+allPositive		sing_565.htm#SEC617	
+all_lib		sing_932.htm#SEC1008	
 allowing net access	Command line options	sing_19.htm#IDX41	
-allprint		sing_971.htm#SEC1047	
-allreal		sing_2032.htm#SEC2108	
-allrealst		sing_2030.htm#SEC2106	
-allsquarefree		sing_1606.htm#SEC1682	
+allprint		sing_973.htm#SEC1049	
+allreal		sing_2035.htm#SEC2111	
+allrealst		sing_2033.htm#SEC2109	
+allsquarefree		sing_1609.htm#SEC1685	
 ambientDimension		sing_187.htm#SEC227	
 and	Evaluation of logical expressions	sing_96.htm#SEC136	
 and 		sing_459.htm#SEC499	
-annPoly		sing_612.htm#SEC664	
-annRat		sing_613.htm#SEC665	
-annRatSyz		sing_825.htm#SEC877	
-annfs		sing_589.htm#SEC641	
-annfs0		sing_601.htm#SEC653	
-annfs2		sing_602.htm#SEC654	
-annfsBMI		sing_598.htm#SEC650	
-annfsParamBM		sing_597.htm#SEC649	
-annfsRB		sing_603.htm#SEC655	
-annfspecial		sing_590.htm#SEC642	
-annihilator of polynomial		sing_611.htm#IDX330	
-annihilator of rational function		sing_611.htm#IDX331	
-annihilator of rational function 		sing_815.htm#IDX376	
-annil		sing_1248.htm#SEC1324	
-appelF1		sing_630.htm#SEC682	
-appelF2		sing_631.htm#SEC683	
-appelF4		sing_632.htm#SEC684	
-appendWeight2Ord		sing_757.htm#SEC809	
+annPoly		sing_613.htm#SEC665	
+annRat		sing_614.htm#SEC666	
+annRatSyz		sing_827.htm#SEC879	
+annfs		sing_590.htm#SEC642	
+annfs0		sing_602.htm#SEC654	
+annfs2		sing_603.htm#SEC655	
+annfsBMI		sing_599.htm#SEC651	
+annfsParamBM		sing_598.htm#SEC650	
+annfsRB		sing_604.htm#SEC656	
+annfspecial		sing_591.htm#SEC643	
+annihilator of polynomial		sing_612.htm#IDX336	
+annihilator of rational function		sing_612.htm#IDX337	
+annihilator of rational function 		sing_817.htm#IDX382	
+annil		sing_1251.htm#SEC1327	
+appelF1		sing_631.htm#SEC683	
+appelF2		sing_632.htm#SEC684	
+appelF4		sing_633.htm#SEC685	
+appendWeight2Ord		sing_759.htm#SEC811	
 apply		sing_426.htm#SEC466	
-applyAdF		sing_580.htm#SEC632	
-arcpoint.lib		sing_1512.htm#SEC1588	
-arcpoint_lib		sing_1512.htm#SEC1588	
-areZeroElements		sing_2377.htm#SEC2453	
+applyAdF		sing_581.htm#SEC633	
+arcpoint.lib		sing_1515.htm#SEC1591	
+arcpoint_lib		sing_1515.htm#SEC1591	
+areZeroElements		sing_2380.htm#SEC2456	
 argument, default		sing_44.htm#SEC81	
 argument, optional		sing_44.htm#SEC81	
-arr.lib		sing_2125.htm#SEC2201	
-arr2multarr		sing_2158.htm#SEC2234	
-arrBoolean		sing_2147.htm#SEC2223	
-arrBoundedChambers		sing_2168.htm#SEC2244	
-arrBraid		sing_2148.htm#SEC2224	
-arrCenter		sing_2135.htm#SEC2211	
-arrCentered		sing_2137.htm#SEC2213	
-arrCentral		sing_2136.htm#SEC2212	
-arrCentralize		sing_2138.htm#SEC2214	
-arrChambers		sing_2167.htm#SEC2243	
-arrCharPoly		sing_2165.htm#SEC2241	
-arrCone		sing_2141.htm#SEC2217	
-arrCoordChange		sing_2139.htm#SEC2215	
-arrCoordNormalize		sing_2140.htm#SEC2216	
-arrDecone		sing_2142.htm#SEC2218	
-arrDer		sing_2155.htm#SEC2231	
-arrEdelmanReiner		sing_2153.htm#SEC2229	
-arrEssentialize		sing_2146.htm#SEC2222	
-arrExponents		sing_2157.htm#SEC2233	
-arrFlats		sing_2162.htm#SEC2238	
-arrIsEssential		sing_2145.htm#SEC2221	
-arrIsFree		sing_2156.htm#SEC2232	
-arrLastVar		sing_2134.htm#SEC2210	
-arrLattice		sing_2163.htm#SEC2239	
-arrLocalize		sing_2143.htm#SEC2219	
-arrOrlikSolomon		sing_2154.htm#SEC2230	
-arrPoincare		sing_2166.htm#SEC2242	
-arrPrintMatrix		sing_2130.htm#SEC2206	
-arrRandom		sing_2151.htm#SEC2227	
-arrRandomCentral		sing_2152.htm#SEC2228	
-arrRestrict		sing_2144.htm#SEC2220	
-arrSet		sing_2126.htm#SEC2202	
-arrSwapVar		sing_2133.htm#SEC2209	
-arrTypeB		sing_2149.htm#SEC2225	
-arrTypeD		sing_2150.htm#SEC2226	
-arr_lib		sing_2125.htm#SEC2201	
-arrange		sing_605.htm#SEC657	
-arrangement		sing_2126.htm#IDX769	
-arrangement 		sing_2127.htm#IDX774	
-arrangement  		sing_2158.htm#IDX836	
-arrangement   		sing_2159.htm#IDX839	
-ask		sing_1897.htm#SEC1973	
-assPrimes		sing_1157.htm#SEC1233	
-assign		sing_2126.htm#IDX771	
+arr.lib		sing_2128.htm#SEC2204	
+arr2multarr		sing_2161.htm#SEC2237	
+arrBoolean		sing_2150.htm#SEC2226	
+arrBoundedChambers		sing_2171.htm#SEC2247	
+arrBraid		sing_2151.htm#SEC2227	
+arrCenter		sing_2138.htm#SEC2214	
+arrCentered		sing_2140.htm#SEC2216	
+arrCentral		sing_2139.htm#SEC2215	
+arrCentralize		sing_2141.htm#SEC2217	
+arrChambers		sing_2170.htm#SEC2246	
+arrCharPoly		sing_2168.htm#SEC2244	
+arrCone		sing_2144.htm#SEC2220	
+arrCoordChange		sing_2142.htm#SEC2218	
+arrCoordNormalize		sing_2143.htm#SEC2219	
+arrDecone		sing_2145.htm#SEC2221	
+arrDer		sing_2158.htm#SEC2234	
+arrEdelmanReiner		sing_2156.htm#SEC2232	
+arrEssentialize		sing_2149.htm#SEC2225	
+arrExponents		sing_2160.htm#SEC2236	
+arrFlats		sing_2165.htm#SEC2241	
+arrIsEssential		sing_2148.htm#SEC2224	
+arrIsFree		sing_2159.htm#SEC2235	
+arrLastVar		sing_2137.htm#SEC2213	
+arrLattice		sing_2166.htm#SEC2242	
+arrLocalize		sing_2146.htm#SEC2222	
+arrOrlikSolomon		sing_2157.htm#SEC2233	
+arrPoincare		sing_2169.htm#SEC2245	
+arrPrintMatrix		sing_2133.htm#SEC2209	
+arrRandom		sing_2154.htm#SEC2230	
+arrRandomCentral		sing_2155.htm#SEC2231	
+arrRestrict		sing_2147.htm#SEC2223	
+arrSet		sing_2129.htm#SEC2205	
+arrSwapVar		sing_2136.htm#SEC2212	
+arrTypeB		sing_2152.htm#SEC2228	
+arrTypeD		sing_2153.htm#SEC2229	
+arr_lib		sing_2128.htm#SEC2204	
+arrange		sing_606.htm#SEC658	
+arrangement		sing_2129.htm#IDX776	
+arrangement 		sing_2130.htm#IDX781	
+arrangement  		sing_2161.htm#IDX843	
+arrangement   		sing_2162.htm#IDX846	
+ask		sing_1900.htm#SEC1976	
+assPrimes		sing_1160.htm#SEC1236	
+assign		sing_2129.htm#IDX778	
 assignment,custom	Assignments for user defined types	sing_182.htm#SEC222	
-assprimeszerodim.lib	assprimeszerodim_lib	sing_1155.htm#SEC1231	
-assprimeszerodim_lib	assprimeszerodim_lib	sing_1155.htm#SEC1231	
-atkins.lib		sing_1898.htm#SEC1974	
-atkins_lib		sing_1898.htm#SEC1974	
+assprimeszerodim.lib	assprimeszerodim_lib	sing_1158.htm#SEC1234	
+assprimeszerodim_lib	assprimeszerodim_lib	sing_1158.htm#SEC1234	
+atkins.lib		sing_1901.htm#SEC1977	
+atkins_lib		sing_1901.htm#SEC1977	
 attrib		sing_261.htm#SEC301	
-autonom		sing_1861.htm#SEC1937	
-autonomDim		sing_1862.htm#SEC1938	
-awalk1		sing_1188.htm#SEC1264	
-awalk2		sing_1189.htm#SEC1265	
-b-function		sing_553.htm#IDX303	
-bFactor		sing_635.htm#SEC687	
-babyGiant		sing_1927.htm#SEC2003	
-backward		sing_2266.htm#SEC2342	
+autonom		sing_1864.htm#SEC1940	
+autonomDim		sing_1865.htm#SEC1941	
+awalk1		sing_1191.htm#SEC1267	
+awalk2		sing_1192.htm#SEC1268	
+b-function		sing_554.htm#IDX309	
+bFactor		sing_636.htm#SEC688	
+babyGiant		sing_1930.htm#SEC2006	
+backward		sing_2269.htm#SEC2345	
 bareiss		sing_262.htm#SEC302	
-base2str		sing_933.htm#SEC1009	
+base2str		sing_935.htm#SEC1011	
 basering		sing_28.htm#IDX76	
 basering 		sing_83.htm#SEC123	
-basicinvariants		sing_1518.htm#SEC1594	
-belongSemigroup		sing_1160.htm#SEC1236	
-bernstein		sing_1566.htm#SEC1642	
-bernsteinBM		sing_593.htm#SEC645	
-bernsteinLift		sing_594.htm#SEC646	
-bertini2Singular		sing_1390.htm#SEC1466	
+basicinvariants		sing_1521.htm#SEC1597	
+belongSemigroup		sing_1163.htm#SEC1239	
+bernstein		sing_1569.htm#SEC1645	
+bernsteinBM		sing_594.htm#SEC646	
+bernsteinLift		sing_595.htm#SEC647	
+bertini2Singular		sing_1393.htm#SEC1469	
 betti		sing_263.htm#SEC303	
-betti (plural)		sing_503.htm#SEC543	
-bfct		sing_554.htm#SEC606	
-bfctAnn		sing_556.htm#SEC608	
-bfctBound		sing_824.htm#SEC876	
-bfctIdeal		sing_558.htm#SEC610	
-bfctOneGB		sing_557.htm#SEC609	
-bfctSyz		sing_555.htm#SEC607	
-bfctVarAnn		sing_646.htm#SEC698	
-bfctVarIn		sing_645.htm#SEC697	
-bfun.lib		sing_553.htm#SEC605	
-bfun_lib		sing_553.htm#SEC605	
+betti (plural)		sing_504.htm#SEC544	
+bfct		sing_555.htm#SEC607	
+bfctAnn		sing_557.htm#SEC609	
+bfctBound		sing_826.htm#SEC878	
+bfctIdeal		sing_559.htm#SEC611	
+bfctOneGB		sing_558.htm#SEC610	
+bfctSyz		sing_556.htm#SEC608	
+bfctVarAnn		sing_647.htm#SEC699	
+bfctVarIn		sing_646.htm#SEC698	
+bfun.lib		sing_554.htm#SEC606	
+bfun_lib		sing_554.htm#SEC606	
 bigint		sing_73.htm#SEC113	
 bigint declarations		sing_74.htm#SEC114	
